# coding: utf-8
from sqlalchemy import Column, DateTime, String
from sqlalchemy.dialects.mysql import INTEGER

from config.mysql import Base


class ZxOcr(Base):
    __tablename__ = 'zx_ocr'

    pk_ocr = Column(INTEGER(11), primary_key=True, comment='图片OCR识别主键')
    pk_phhd = Column(INTEGER(11), nullable=False, comment='报销单主键')
    pk_phrec = Column(INTEGER(11), nullable=False, comment='图片主键')
    cfjaddress = Column(String(200), nullable=False, comment='云存储文件名')
    content = Column(String(5000), comment='OCR识别内容')
    create_time = Column(DateTime, comment='创建时间')
    creator = Column(String(30), comment='创建人')
    update_time = Column(DateTime, comment='修改时间')
    updater = Column(String(30), comment='修改人')
